﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Controls.Scheduling;

namespace GanttSizingAndScrolling_Ticket744587
{
    public class ViewModel : GanttViewModel
    {
        private DateRange visibleRange;

        public ViewModel()
        {
            this.visibleRange = new DateRange(new DateTime(2012, 1, 1), new DateTime(2012, 5, 1));
        }

        /// <Summary>Gets or sets VisibleRange and notifies for changes</Summary>
        public DateRange VisibleRange
        {
            get { return this.visibleRange; }
            set
            {
                if (this.visibleRange != value)
                {
                    this.visibleRange = value;
                    this.OnPropertyChanged(() => this.VisibleRange);
                }
            }
        }
    }
}
